| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
ar3DCreateHandle.c File Reference
`#include <ARX/AR/ar.h>`
`#include <ARX/AR/icp.h>`
Include dependency graph for ar3DCreateHandle.c:

## Functions
AR3DHandle * | ar3DCreateHandle (const ARParam *arParam)
| Create handle used for 3D calculation from calibrated camera parameters.
AR3DHandle * | ar3DCreateHandle2 (const ARdouble cpara[3][4])
| Create handle used for 3D calculation from an intrinsic parameters matrix.
int | ar3DDeleteHandle (AR3DHandle **handle)
| Delete handle used for 3D calculation.
int | ar3DChangeCpara (AR3DHandle *handle, const ARdouble cpara[3][4])
| (description)
int | ar3DChangeMaxLoopCount (AR3DHandle *handle, int maxLoopCount)
| (description)
int | ar3DChangeLoopBreakThresh (AR3DHandle *handle, ARdouble loopBreakThresh)
| (description)
int | ar3DChangeLoopBreakThreshRatio (AR3DHandle *handle, ARdouble loopBreakThreshRatio)
| (description)
AR3DStereoHandle * | ar3DStereoCreateHandle (const ARParam *arParamL, const ARParam *arParamR, const ARdouble transL[3][4], const ARdouble transR[3][4])
AR3DStereoHandle * | ar3DStereoCreateHandle2 (const ARdouble cparaL[3][4], const ARdouble cparaR[3][4], const ARdouble transL[3][4], const ARdouble transR[3][4])
int | ar3DStereoDeleteHandle (AR3DStereoHandle **handle)
int | ar3DStereoChangeMaxLoopCount (AR3DStereoHandle *handle, int maxLoopCount)
int | ar3DStereoChangeLoopBreakThresh (AR3DStereoHandle *handle, ARdouble loopBreakThresh)
int | ar3DStereoChangeLoopBreakThreshRatio (AR3DStereoHandle *handle, ARdouble loopBreakThreshRatio)
int | ar3DStereoChangeCpara (AR3DStereoHandle *handle, ARdouble cparaL[3][4], ARdouble cparaR[3][4])
int | ar3DStereoChangeTransMat (AR3DStereoHandle *handle, ARdouble transL[3][4], ARdouble transR[3][4])

## Function Documentation

## ◆ ar3DChangeCpara()

int ar3DChangeCpara | ( | AR3DHandle * | handle,
|  | const ARdouble | cpara[3][4]
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  cpara | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ ar3DChangeLoopBreakThresh()

int ar3DChangeLoopBreakThresh | ( | AR3DHandle * | handle,
|  | ARdouble | loopBreakThresh
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  loopBreakThresh | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ ar3DChangeLoopBreakThreshRatio()

int ar3DChangeLoopBreakThreshRatio | ( | AR3DHandle * | handle,
|  | ARdouble | loopBreakThreshRatio
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  loopBreakThreshRatio | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ ar3DChangeMaxLoopCount()

int ar3DChangeMaxLoopCount | ( | AR3DHandle * | handle,
|  | int | maxLoopCount
| ) |  |

(description)

(description)

Parameters

  handle | (description)
  maxLoopCount | (description)

Returns
  (description)

Here is the call graph for this function:

## ◆ ar3DCreateHandle()

AR3DHandle * ar3DCreateHandle | ( | const ARParam * | arParam | ) |

Create handle used for 3D calculation from calibrated camera parameters.

@functiongroup "3D calculation".

An AR3DHandle holds data structures used in calculating the 3D pose of a marker from the 2D location of its corners (i.e. pose estimation).

Parameters

  arParam | (description)

Returns
  The handle. When no more ar3D*() functions need be called, the handle should be deleted by calling ar3DDeleteHandle().

See also
  ar3DCreateHandle2
  ar3DDeleteHandle

Here is the call graph for this function:

## ◆ ar3DCreateHandle2()

AR3DHandle * ar3DCreateHandle2 | ( | const ARdouble | cpara[3][4] | ) |

Create handle used for 3D calculation from an intrinsic parameters matrix.

An AR3DHandle holds data structures used in calculating the 3D pose of a marker from the 2D location of its corners (i.e. pose estimation).

Parameters

  cpara | (description)

Returns
  The handle. When no more ar3D*() functions need be called, the handle should be deleted by calling ar3DDeleteHandle().

See also
  ar3DCreateHandle
  ar3DDeleteHandle

Here is the call graph for this function:

## ◆ ar3DDeleteHandle()

int ar3DDeleteHandle | ( | AR3DHandle ** | handle | ) |

Delete handle used for 3D calculation.

When no more ar3D*() functions need be called, the handle should be deleted by calling ar3DDeleteHandle().

Parameters

  handle | A pointer to the 3D handle. On success, the contents of this location will be set to NULL.

Returns
  0 if the handle was successfully deleted, -1 otherwise.

See also
  ar3DDeleteHandle

Here is the call graph for this function:

## ◆ ar3DStereoChangeCpara()

int ar3DStereoChangeCpara | ( | AR3DStereoHandle * | handle,
|  | ARdouble | cparaL[3][4],
|  | ARdouble | cparaR[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoChangeLoopBreakThresh()

int ar3DStereoChangeLoopBreakThresh | ( | AR3DStereoHandle * | handle,
|  | ARdouble | loopBreakThresh
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoChangeLoopBreakThreshRatio()

int ar3DStereoChangeLoopBreakThreshRatio | ( | AR3DStereoHandle * | handle,
|  | ARdouble | loopBreakThreshRatio
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoChangeMaxLoopCount()

int ar3DStereoChangeMaxLoopCount | ( | AR3DStereoHandle * | handle,
|  | int | maxLoopCount
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoChangeTransMat()

int ar3DStereoChangeTransMat | ( | AR3DStereoHandle * | handle,
|  | ARdouble | transL[3][4],
|  | ARdouble | transR[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoCreateHandle()

AR3DStereoHandle * ar3DStereoCreateHandle | ( | const ARParam * | arParamL,
|  | const ARParam * | arParamR,
|  | const ARdouble | transL[3][4],
|  | const ARdouble | transR[3][4]
| ) |  |

@functiongroup "3D calculation by Stereo".

Here is the call graph for this function:

## ◆ ar3DStereoCreateHandle2()

AR3DStereoHandle * ar3DStereoCreateHandle2 | ( | const ARdouble | cparaL[3][4],
|  | const ARdouble | cparaR[3][4],
|  | const ARdouble | transL[3][4],
|  | const ARdouble | transR[3][4]
| ) |  |

Here is the call graph for this function:

## ◆ ar3DStereoDeleteHandle()

int ar3DStereoDeleteHandle | ( | AR3DStereoHandle ** | handle | ) |

Here is the call graph for this function: